from pathlib import Path

import setuptools

this_directory = Path(__file__).parent
long_description = (this_directory / "README.md").read_text()

setuptools.setup(
    name="cookyjar",
    version="0.0.4",
    author="Cem Bakar",
    author_email="cembakar@gmail.com",
    description="Streamlit component that allows you to do work with cookies",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/cbakar/cookyjar",
    packages=setuptools.find_packages(),
    include_package_data=True,
    classifiers=[],
    python_requires=">=3.9",
    install_requires=[
        "streamlit",
    ],
    extras_require={
        "devel": [
            "wheel",
            "pytest==7.4.0",
            "playwright==1.36.0",
            "requests==2.31.0",
            "pytest-playwright-snapshot==1.0",
            "pytest-rerunfailures==12.0",
        ]
    }
)
